#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const showRandom_1 = require("./showRandom");
const syncHiglights_1 = require("./syncHiglights");
const program = new commander_1.Command();
program
    .name("kindle-highlights")
    .version("0.0.1")
    .description("Show a random Kindle Highlight");
program
    .command("highlight")
    .action(() => {
    (0, showRandom_1.showRandomHighlight)();
})
    .description("Show a random Kindle Highlight");
program
    .command("update")
    .description("Update Kindle Highlights")
    .option("--exec <exec>", "Executable path for custom browser", "")
    .action(async (option) => {
    await (0, syncHiglights_1.syncHighlights)(option.exec);
});
program.parse(process.argv);
