"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncHighlights = void 0;
const prompts_1 = __importDefault(require("prompts"));
const puppeteer_1 = __importDefault(require("puppeteer"));
const conf_1 = __importDefault(require("conf"));
const getHighlight_1 = require("./getHighlight");
const login_1 = require("./login");
const startUrl = 'https://read.amazon.com/kp/notebook';
const conf = new conf_1.default();
const promptQuestions = [
    {
        type: 'text',
        name: 'email',
        message: 'Enter your email address associated with your Amazon account',
        validate: (value) => value.length > 0 || 'Please enter your email address',
        initial: conf.get('email') || '',
    },
    {
        type: 'password',
        name: 'password',
        message: 'Enter your password',
        validate: (value) => value.length > 0 || 'Please enter your password',
    },
];
const syncHighlights = async (executablePath = undefined) => {
    const { email, password } = await (0, prompts_1.default)(promptQuestions);
    conf.set('email', email);
    const browser = await puppeteer_1.default.launch({
        headless: true,
        executablePath,
    });
    const page = await browser.newPage();
    await page.goto(startUrl);
    await (0, login_1.login)(page, email, password);
    await (0, getHighlight_1.getHighLight)(page);
    await browser.close();
};
exports.syncHighlights = syncHighlights;
